import { Config, Context } from "semantic-release";
import { NpmConfig } from "./interfaces/npm.interface";
import { Npm } from "./npm";
export declare class Authentifier {
    private readonly npm;
    constructor(npm: Npm);
    authenticate(npmConfig: NpmConfig, context: Config & Context): Promise<void>;
    checkAuthentication(context: Config & Context): Promise<void>;
}
